#
# spec file for package InteProxy (Version 0.4.1)
#
# Copyright (c) 2007,2008 Intevation GmbH, Germany
# This file and all modifications and additions to this
# file are under the same license as the package itself.
#
# Please submit bugfixes or comments via 
# http://wald.intevation.org/tracker/?atid=178&group_id=23&func=browse
#

%define InteProxyDir %{_libdir}/InteProxy

BuildRequires: python >= 2.4
Requires: python >= 2.4
Requires: python-lxml

Summary:	InteProxy is a proxy which helps to secure OGC-connections between clients and servers.
Name:           InteProxy
License:        GNU/LGPL
Group:          Development/System
Version:        0.4.1
Release:        1
# URL: 
Source0:        http://wald.intevation.org/frs/download.php/334/%{name}-%{version}.tar.gz

# where to build
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}


%description
InteProxy is a proxy which helps applications that use simple HTTP for some services to have secure connections with authentication and SSL. The proxy runs on the client system. Typical case are the services specified by Open Geospatial Consortium (WMS, WFS, etc.).

Authors:
--------
    Bernhard Herzog <bh@intevation.de>

# prepare Build-environment
%prep
%setup0 -n %{name}-%{version}

%build
# nothing to build here

%install

# install the stuff
mkdir -p %{buildroot}/%{InteProxyDir}
##ChangeLog  COPYING  demo.cfg  doc  HowTo-Release.txt  inteproxy  InteProxy.py  packaging  po  setup.py  share  test  website
install -m 644 setup.py demo.cfg %{buildroot}/%{InteProxyDir}
install -m 755 InteProxy.py %{buildroot}/%{InteProxyDir}
cp -ar inteproxy %{buildroot}/%{InteProxyDir}
cp -ar share %{buildroot}/%{InteProxyDir}
mkdir -p %{buildroot}/%{_bindir}
## # create startup-shellscript for InteProxy to pick up the correct python-version
cd %{buildroot}/%{_bindir}
ln -s %{InteProxyDir}/InteProxy.py %{buildroot}/usr/bin/InteProxy

%post
# python-version
PYVERSION=`python -c "import sys; import string; vers = string.split(string.split(sys.version)[0], '.'); print vers[0]+'.'+vers[1]"`
python %{_libdir}/python$PYVERSION/compileall.py %{InteProxyDir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc doc/*.odt ChangeLog COPYING
%{InteProxyDir}
%{_bindir}/InteProxy


%changelog
* Fri Dec  19 2008 - Stephan Holl <stephan.holl@intevation.de>
- updated spec-file for usage with OpenSuSE 10.2
- updated to upstream-Version 0.4.1
* Mon Apr  24 2007 - stephan.holl@intevation.de
- added more Requerements, for backported python2.4
- created a shell-wrapper to make InteProxy run from the path

* Fri Apr 20 2007 - stephan.holl@intevation.de
- initial RPM for SLES9 
- handcrafted SPEC-file
