#!/bin/sh

# Input/Output generation functions
function generate_dir_input_list ()
{
	# Using the given directory as an argument, create
	# the input file list.
	this_dir="$1"

	# Create the output file directory, relative to the root dir,
	# in windows path format
	this_rel_dir_win=`echo "$this_dir" | sed -e "s#$ROOT_DIR##g" | sed -e 's#/#\\\\#g'`
	echo "SetOutPath \"\$INSTDIR$this_rel_dir_win\""

	# Output the file list, relative to the root dir, in windows path
	# format
	find "$this_dir" -maxdepth 1 -type f  -print | sed -e "s#$ROOT_DIR##g" | sed -e 's#/#\\\\#g' | while read this_file
	do
		echo "File \"\${DIST_DIR}$this_file\"";
	done;

	# Output a blank line
	echo
}


# Find all the subdirectories below ROOT_DIR
ROOT_DIR="dist-$1"

find $ROOT_DIR -type d -print | while read THIS_DIR
do
	# Get the count of files in this directory
	FILE_COUNT=`find "$THIS_DIR" -maxdepth 1 -type f  -print | wc -l`

	# If there is at least one file in the directory then
	# include it
	if [ $FILE_COUNT -gt 0 ];
	then
		echo -n . >&2
		generate_dir_input_list "$THIS_DIR";
	fi
done;
